> For the complete documentation index, see [llms.txt](https://docs.whaly.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.whaly.io/workflows/actions-catalog/slack.md).

# Slack

## Why using the Slack action?

With the Slack action anybody in your organisation can send data directly to any preselected Slack Channel. This is useful to quickly share with teammates any updates on current deadlines on vital informations based on data.

## What does it look like?

This action will **send a Slack message** with your Dashboard/Question screenshot or raw data as a file.

## Supported formats

Slack integration supports the following formats:

* PDF
* PNG
* CSV
* JSON

## Configuring Slack

### Generating a Bot User Token in a Private Slack Action Application

* Go to the Slack API app page at [https://api.slack.com](https://api.slack.com/apps).
* Click **Create New App**.

![](/files/alChjfx8I3HDGFReuM7W)

* In the popup that appears, click on "**From an app manifest**"

![](/files/cfBjCC8wdawWA2uRLI4W)

* Select your Workspace

![](/files/cJXzxv7DGhgK5R1l8z0u)

* In the code editor that appears, copy paste the following snippet

```
display_information:
  name: Whaly Push App
  description: This app will allow Whaly to push data into your Slack workspace.
settings:
  org_deploy_enabled: false
  socket_mode_enabled: false
  is_hosted: false
  token_rotation_enabled: false
features:
  bot_user:
    display_name: Whaly Push
    always_online: true
oauth_config:
  scopes:
    bot:
      - channels:read
      - users:read
      - files:write
      - groups:read
      - im:read
      - mpim:read
      - chat:write
```

![](/files/JHCeuaLRvqW2Rp82BC73)

* Click on "**Create**" in the next popup

![](/files/hABI8MdI28XsiNLXpnxU)

* On the page on which you are redirected, click on "**Install to Workspace**"

![](/files/4zFX5mboyV6adpTC1rja)

* Click on the left menu into the "**Features > Oauth & Permissions**" menu item, and from this page, copy the "**Bot User OAuth Token**" string. This is the token that you'll need to configure on Whaly side 🎉

![](/files/2A15mKRmIpNTlptVOnVl)

## Giving access to the proper channels

Now, you have to invite "Whaly Push" user into the Slack channels you which it has access to by posting its name into the proper channels.

![](/files/lQvjsJFwVZU3dQ4NKmiD)

In the popup that appear, accept to invite the user into the Channel 🤗


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.whaly.io/workflows/actions-catalog/slack.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
